package cz.vutbr.feec.session.ping;

import java.net.InetAddress;
import java.net.UnknownHostException;

public class MeasureRttDistancesToHosts {
	public static void main(String[] args) throws UnknownHostException {
		InetAddress address[] = new InetAddress[3];
		address[0] = InetAddress.getByName("www.seznam.cz");
		address[1] = InetAddress.getByName("www.google.cz");
		address[2] = InetAddress.getByName("www.atlas.cz");

		int maxNumOfThreads = 5; // kolik bude merit soucasne
		int pingCount = 3; // pocet opakovani mereni RTT (vybira se minimum)

		double[] rttVector = RttVectorMeasurement.measureRttVector(address,
				maxNumOfThreads, pingCount);

		// vypis vysledku
		for (int i = 0; i < rttVector.length; i++) {
			System.out.println("ADDR:" + address[i] + ",  RTT value:" + rttVector[i]);
		}
	}
}
/*
 * seznam.cz
 * IP Address  	:  	 147.229.146.241
 * Location 	: 	CZECH REPUBLIC, JIHOMORAVSKY KRAJ, BRNO
 * Latitude / Longitude 	: 	49.2 LATITUDE, 16.633 LONGITUDE
 * Connecting through 	: 	BRNO UNIVERSITY OF TECHNOLOGY
 * Time Zone 	: 	UTC +01:00
 * 
 * 
 */